$logo-sizes: (
  small: (width: rhythm(1), height: rhythm(1)),
  medium: (width: rhythm(1.5), height: rhythm(1.5)),
  large: (width: rhythm(2), height: rhythm(2)),
) !default;

$logo-margin: 0 !default;
$logo-padding: 0 !default;


@mixin logo-size($size: medium, $type: inline) {
  width: map-get(map-get($logo-sizes, $size), width);
  height: map-get(map-get($logo-sizes, $size), height);
}


.#{$namespace}-logo {
  @include logo-size(medium);

  margin: $logo-margin;
  padding: $logo-padding;

  &__image {
    width: 100%;
    height: 100%;
  }

  &__text {
    display: none;
  }

  &--small {
    @include logo-size(small);
  }

  &--large {
    @include logo-size(large);
  }
}
